Skip to main content
POST /v1/payments/capture Captures the amount of an original authorized payment. Omitting captureAmount defaults to a full capture.

Request Parameters

captureRequestId
string
required
Merchant-generated unique ID for this capture.Max length: 64 characters
paymentId
string
required
Payment ID of the original authorization to be captured.Max length: 64 characters
captureAmount
object
Amount to capture. Omit for full capture. See Amount.
isLastCapture
boolean
Indicates this is the final capture. Defaults to true.
extendInfo
string
Extension information.Max length: 4096 characters

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
captureRequestId
string
Merchant-generated capture ID.Max length: 64 characters
captureId
string
Wallet-generated unique capture ID.Max length: 64 characters
paymentId
string
Original payment identifier.Max length: 64 characters
captureAmount
object
Payment amount that was captured.
captureTime
string
Capture processing time in ISO 8601 format.
extendInfo
string
Extension information.Max length: 4096 characters

Result Codes

resultStatusresultCodeDescription
SSUCCESSCapture successful
FAUTH_CANCELLEDAuthorization was cancelled
FAUTH_EXPIREDAuthorization has expired
FAUTH_NOT_FOUNDAuthorization not found
FCAPTURE_AMOUNT_EXCEED_AUTH_LIMITCapture amount exceeds authorization limit
FCURRENCY_NOT_SUPPORTCurrency not supported
FUSER_BALANCE_NOT_ENOUGHInsufficient user balance
FUSER_STATUS_ABNORMALUser status abnormal
FREPEAT_REQ_INCONSISTENTDuplicate request with inconsistent data
FRISK_REJECTTransaction rejected by risk engine
FINVALID_TOKENToken is invalid
FSIGNATURE_INVALIDSignature invalid
UUNKNOWN_EXCEPTIONUnknown error occurred
UCAPTURE_IN_PROCESSCapture is currently being processed